﻿Public Class Form1
    Dim ComputerNumber As Integer
    Dim Count As Integer

    Private Sub ButtonStart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonStart.Click
        Count = 0
        GroupBoxGame.Enabled = False
        ButtonStart.Enabled = False
        TextBoxGuess.Enabled = True
        ButtonSubmit.Enabled = True
        LabelNumGuess.Text = "Number Of Guesses: " + Str(Count)
        LabelHighLow.Text = ""
        TextBoxGuess.Focus()
        TextBoxGuess.Clear()
        GetNumber()

    End Sub

    Private Sub GetNumber()
        Randomize()
        If RadioButton10.Checked = True Then
            ComputerNumber = Rnd() * 9 + 1
        ElseIf RadioButton100.Checked = True Then
            ComputerNumber = Rnd() * 99 + 1
        Else
            ComputerNumber = Rnd() * 999 + 1
        End If
    End Sub

    Private Sub ButtonSubmit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonSubmit.Click
        If TextBoxGuess.Text <> "" Then
            Try
                If Integer.Parse(TextBoxGuess.Text) = ComputerNumber Then
                    CorrectGuess()
                Else
                    NotCorrectGuess()

                End If
            Catch ex As Exception
                TextBoxGuess.Clear()
                TextBoxGuess.Focus()
                MsgBox(ex.Message)
            End Try
        End If
    End Sub

    Private Sub CorrectGuess()
        Count += 1
        LabelNumGuess.Text = "Number Of Guesses: " + Str(Count)
        GroupBoxGame.Enabled = True
        ButtonStart.Enabled = True
        TextBoxGuess.Enabled = False
        ButtonSubmit.Enabled = False
        MsgBox("You Guessed My Number In " + Str(Count) + " Guesses!")
    End Sub

    Private Sub NotCorrectGuess()
        Count += 1
        LabelNumGuess.Text = "Number Of Guesses: " + Str(Count)
        If Integer.Parse(TextBoxGuess.Text) < ComputerNumber Then
            LabelHighLow.Text = "Your Guess Was Too Low"
        Else
            LabelHighLow.Text = "Your Guess Was Too High"

        End If
        TextBoxGuess.Clear()
        TextBoxGuess.Focus()

    End Sub

End Class